<?php
// $style = 'post' or 'block' or 'vmenu' or 'simple'
function theme_wrapper($style, $args){
	$func_name = "theme_{$style}_wrapper";
	if (function_exists($func_name)) {
		call_user_func($func_name, $args);
	} else {
		theme_block_wrapper($args);
	}
}

function theme_post_wrapper($args = '') {
	$args = wp_parse_args($args, 
		array(
			'id' => '',
			'class' => '',
			'title' => '',
			'heading' => 'h2',
			'thumbnail' => '',
			'before' => '',
			'content' => '',
			'after' => ''
		)
	);
	extract($args);
	if (theme_is_empty_html($title) && theme_is_empty_html($content)) return;
	if ($id) {
		$id = ' id="' . $id . '"';
	}
	if ($class) {
		$class = ' ' . $class; 
	}
	?>
<div class="jackcolabox jackcolapost<?php echo $class; ?>"<?php echo $id; ?>>
	    <div class="jackcolabox-body jackcolapost-body">
	            <div class="jackcolapost-inner jackcolaarticle">
	            <?php
	                if (!theme_is_empty_html($title)){
	                    echo '<'.$heading.' class="jackcolapostheader">'.$title.'</'.$heading.'>';
	                }
	                 echo $before;echo $thumbnail;
	                ?>
	                <div class="jackcolapostcontent">
	                    <!-- article-content -->
	                    <?php echo $content; ?>
	                    <!-- /article-content -->
	                </div>
	                <div class="cleared"></div>
	                <?php
	                ob_start();
	                    echo $after;
	                $meta = ob_get_clean();    
	                if (strlen($meta) > 0) {
	                    echo '<div class="jackcolapostmetadatafooter">'.$meta.'</div>';
	                }
	                
	            ?>
	            </div>
			<div class="cleared"></div>
	    </div>
	</div>
	
	<?php
}

function theme_simple_wrapper($args = '') {
	$args = wp_parse_args($args, 
		array(
			'id' => '',
			'class' => '',
			'title' => '',
			'heading' => 'div',
			'content' => '',
		)
	);
	extract($args);
	if (theme_is_empty_html($title) && theme_is_empty_html($content)) return;
	if ($id) {
		$id = ' id="' . $id . '"';
	}
	if ($class) {
		$class = ' ' . $class; 
	}
	echo "<div class=\"jackcolawidget{$class}\"{$id}>";
	if ( !theme_is_empty_html($title)) echo '<'.$heading.' class="jackcolawidget-title">' . $title . '</'.$heading.'>';
	echo '<div class="jackcolawidget-content">' . $content . '</div>';
	echo '</div>';
}

function theme_block_wrapper($args) {
	$args = wp_parse_args($args, 
		array(
			'id' => '',
			'class' => '',
			'title' => '',
			'heading' => 'div',
			'content' => '',
		)
	);
	extract($args);
	if (theme_is_empty_html($title) && theme_is_empty_html($content)) return;
	if ($id) {
		$id = ' id="' . $id . '"';
	}
	if ($class) {
		$class = ' ' . $class; 
	}

	$begin = <<<EOL
<div class="jackcolabox jackcolablock{$class}"{$id}>
    <div class="jackcolabox-body jackcolablock-body">
EOL;
	$begin_title  = <<<EOL
<div class="jackcolabar jackcolablockheader">
    <$heading class="t">
EOL;
	$end_title = <<<EOL
</$heading>
</div>
EOL;
	$begin_content = <<<EOL
<div class="jackcolabox jackcolablockcontent">
    <div class="jackcolabox-body jackcolablockcontent-body">
EOL;
	$end_content = <<<EOL
		<div class="cleared"></div>
    </div>
</div>
EOL;
	$end = <<<EOL
		<div class="cleared"></div>
    </div>
</div>
EOL;
	echo $begin;
	if ($begin_title && $end_title && !theme_is_empty_html($title)) {
		echo $begin_title . $title . $end_title;
	}
	echo $begin_content;
	echo $content;
	echo $end_content;
	echo $end;	
}
